summaryrefslogtreecommitdiffstats
path: root/jjb/oom/oom-helm.yaml
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/oom/oom-helm.yaml')
-rw-r--r--jjb/oom/oom-helm.yaml8
1 files changed, 8 insertions, 0 deletions
diff --git a/jjb/oom/oom-helm.yaml b/jjb/oom/oom-helm.yaml
index 43ae80783..5a7d377a1 100644
--- a/jjb/oom/oom-helm.yaml
+++ b/jjb/oom/oom-helm.yaml
@@ -12,10 +12,18 @@
#!/bin/bash
set -e -o pipefail
cd kubernetes/
+ if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
+ echo "[ERROR] Only release images are allowed in helm charts."
+ exit 1
+ fi
make all
subproject_build_script: |
#!/bin/bash
cd kubernetes/
+ if grep -r -n -E ':\s*onap/.*:.*(STAGING|SNAPSHOT|latest).*'; then
+ echo "[ERROR] Only release images are allowed in helm charts."
+ exit 1
+ fi
make common
make {subproject}
oom_post_build_script: !include-raw-escape: shell/publish_helm_charts.sh